import numpy as np
from PIL import Image

def svd(m, nrank, ret=False):
    m = m/255
    if ret:
        rank = np.linalg.matrix_rank(m)
    u, s, v = np.linalg.svd(m)
    nm = np.dot(u[:,:nrank], np.dot(np.diag(s[:nrank]), v[:nrank, :]))
    if ret:
        newrank = np.linalg.matrix_rank(nm)

    nm[nm < 0] = 0
    nm[nm > 1] = 1

    if ret:
        return np.uint8(nm*255), rank, newrank
    else:
        return np.uint8(nm*255)


def compress(filename, nrank, display=True):
    image = Image.open(filename)
    if display:
        image.show()

    img = np.array(image)

    # 
    #
    # your code goes here
    #
    #

    if display:
        newImage.show()
    newImage.save('svd' + str(nrank) + '_' + filename)

    return rankRed, nrankRed

if __name__ == '__main__':
    compress('img.jpg', 300)
