import numpy as np

def makeEdgeMat(filename):
    graph = np.genfromtxt(filename, dtype=int)
    n,e = graph[0,0],graph[0,1]
    graph = np.delete(graph, 0, 0)
    H = np.zeros((n,n))
    for x in range(e):
        H[graph[x,1]-1, graph[x,0]-1] = 1
    return H

if __name__ == '__main__':
    E = makeEdgeMat('graph4.dat')
    print(E)
